### Hierarchy

- JenkinsNode

### Implements

- IJenkinsNode

## Index

### Constructors

- constructor

### Properties

- _class
- actions
- displayName
- executors
- icon
- iconClassName
- idle
- jnlpAgent
- jsonData
- launchSupported
- loadStatistics
- manualLaunchAllowed
- monitorData
- name
- numExecutors
- offline
- offlineCause
- offlineCauseReason
- oneOffExecutors
- temporarilyOffline
- url

### Methods

- fromJson
- fromJsonString
- getJsonData

## Constructors

### constructor

- new JenkinsNode(): JenkinsNode

- - Defined in JenkinsNode.ts:29

  #### Returns JenkinsNode

## Properties

### _class

_class: string

Implementation of IJenkinsNode._class

- Defined in JenkinsNode.ts:12

### actions

actions: Array<any>

Implementation of IJenkinsNode.actions

- Defined in JenkinsNode.ts:24

### displayName

displayName: string

Implementation of IJenkinsNode.displayName

- Defined in JenkinsNode.ts:11

### executors

executors: Array<any>

Implementation of IJenkinsNode.executors

- Defined in JenkinsNode.ts:25

### icon

icon: string

Implementation of IJenkinsNode.icon

- Defined in JenkinsNode.ts:15

### iconClassName

iconClassName: string

Implementation of IJenkinsNode.iconClassName

- Defined in JenkinsNode.ts:16

### idle

idle: boolean

Implementation of IJenkinsNode.idle

- Defined in JenkinsNode.ts:13

### jnlpAgent

jnlpAgent: boolean

Implementation of IJenkinsNode.jnlpAgent

- Defined in JenkinsNode.ts:14

### jsonData

jsonData: JSON

- Defined in JenkinsNode.ts:6

### launchSupported

launchSupported: boolean

Implementation of IJenkinsNode.launchSupported

- Defined in JenkinsNode.ts:17

### loadStatistics

loadStatistics: any

Implementation of IJenkinsNode.loadStatistics

- Defined in JenkinsNode.ts:26

### manualLaunchAllowed

manualLaunchAllowed: boolean

Implementation of IJenkinsNode.manualLaunchAllowed

- Defined in JenkinsNode.ts:18

### monitorData

monitorData: any

Implementation of IJenkinsNode.monitorData

- Defined in JenkinsNode.ts:27

### name

name: string

Implementation of IJenkinsNode.name

- Defined in JenkinsNode.ts:8

### numExecutors

numExecutors: number

Implementation of IJenkinsNode.numExecutors

- Defined in JenkinsNode.ts:19

### offline

offline: boolean

Implementation of IJenkinsNode.offline

- Defined in JenkinsNode.ts:20

### offlineCause

offlineCause: any

Implementation of IJenkinsNode.offlineCause

- Defined in JenkinsNode.ts:28

### offlineCauseReason

offlineCauseReason: string

Implementation of IJenkinsNode.offlineCauseReason

- Defined in JenkinsNode.ts:21

### oneOffExecutors

oneOffExecutors: Array<any>

Implementation of IJenkinsNode.oneOffExecutors

- Defined in JenkinsNode.ts:29

### temporarilyOffline

temporarilyOffline: boolean

Implementation of IJenkinsNode.temporarilyOffline

- Defined in JenkinsNode.ts:22

### url

url: string

Implementation of IJenkinsNode.url

- Defined in JenkinsNode.ts:9

## Methods

### fromJson

- fromJson(data: JSON): void

- Implementation of IJenkinsNode.fromJson

  - Defined in JenkinsNode.ts:48

  #### Parameters

  - ##### data: JSON

  #### Returns void

### fromJsonString

- fromJsonString(json: string): void

- Implementation of IJenkinsNode.fromJsonString

  - Defined in JenkinsNode.ts:41

  #### Parameters

  - ##### json: string

  #### Returns void

### getJsonData

- getJsonData(): string

- Implementation of IJenkinsNode.getJsonData

  - Defined in JenkinsNode.ts:37

  #### Returns string

Generated using TypeDoc